Bug 206309 - www/tdiary: Update to 4.2.1
Summary: www/tdiary: Update to 4.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: TAKATSU Tomonari
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-16 10:47 UTC by Yasuhiro Kimura
Modified: 2016-03-20 20:43 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (tota)


Attachments
Patch. (25.86 KB, patch)
2016-01-16 10:47 UTC, Yasuhiro Kimura
no flags Details | Diff
Poudriere build log. (17.71 KB, text/plain)
2016-01-16 12:11 UTC, Yasuhiro Kimura
no flags Details
Updated patch. (25.11 KB, patch)
2016-01-16 16:20 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch. (24.38 KB, patch)
2016-01-23 01:00 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch. (36.56 KB, patch)
2016-02-01 13:08 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2016-01-16 10:47:28 UTC
Created attachment 165659 [details]
Patch.

* Update to 4.2.1.
* Remove @dirrm from pkg-plist.

After applying the patch this port depends on textproc/rubygem-emot which is not committed to port tree. So please commit Bug 206308 and this PR together.
Comment 1 Yasuhiro Kimura freebsd_committer 2016-01-16 12:11:32 UTC
Created attachment 165661 [details]
Poudriere build log.
Comment 2 TAKATSU Tomonari freebsd_committer 2016-01-16 12:17:40 UTC
I'm working on Bug 205736.
Please rebase on it if you have time.
Thanks.
Comment 3 Yasuhiro Kimura freebsd_committer 2016-01-16 13:19:38 UTC
(In reply to TAKATSU Tomonari from comment #2)

OK. I will update patch when Bug 205736 is committed.
Comment 4 TAKATSU Tomonari freebsd_committer 2016-01-16 15:14:10 UTC
(In reply to Yasuhiro KIMURA from comment #3)

Bug 205736 has been closed.
Comment 5 Yasuhiro Kimura freebsd_committer 2016-01-16 16:20:45 UTC
Created attachment 165682 [details]
Updated patch.
Comment 6 TAKATSU Tomonari freebsd_committer 2016-01-18 05:41:20 UTC
% cd /usr/local
% ls -l www
total 4
drwxr-xr-x  11 www  www  512 Jan 18 14:18 tdiary
% ls -l www/tdiary
total 124
-rw-r--r--    1 www  www    545 Aug 30  2014 Gruntfile.js
drwxr-xr-x    2 www  www    512 Aug 30  2014 bin
-rw-r--r--    1 www  www    374 Aug 30  2014 bower.json
drwxr-xr-x    2 www  www    512 Aug 30  2014 data
-rw-r--r--    1 www  www    507 Aug 30  2014 dot.htaccess
-rwxr-xr-x    1 www  www   1045 Jan 18 14:17 index.fcgi
-rwxr-xr-x    1 www  www   1421 Jan 18 14:17 index.rb
drwxr-xr-x    2 www  www    512 Aug 30  2014 js
drwxr-xr-x    8 www  www    512 Jan 18 14:18 misc
-rw-r--r--    1 www  www    599 Aug 30  2014 package.json
drwxr-xr-x    4 www  www    512 Jan 18 14:18 plugin
drwxr-xr-x    2 www  www   1024 Aug 30  2014 skel
drwxr-xr-x   12 www  www   1024 Jan 18 14:18 tdiary
-rw-r--r--    1 www  www   7958 Aug 30  2014 tdiary.conf.beginner
-rw-r--r--    1 www  www  19841 Aug 30  2014 tdiary.conf.sample
-rw-r--r--    1 www  www  12732 Aug 30  2014 tdiary.conf.sample-en
-rw-r--r--    1 www  www   4194 Aug 30  2014 tdiary.rb
drwxr-xr-x  344 www  www   7168 Jan 18 14:18 theme
drwxr-xr-x    2 www  www    512 Jan 18 14:17 tmp
-rwxr-xr-x    1 www  www   1041 Jan 18 14:17 update.fcgi
-rwxr-xr-x    1 www  www   1422 Jan 18 14:17 update.rb

After applying attachment 165682 [details] patch...

% ls -l www
total 4
drwxr-xr-x  10 root  wheel  512 Jan 18 14:25 tdiary
% ls -l www/tdiary
total 104
drwxr-xr-x    2 root  wheel    512 Jan 18 14:25 bin
drwxr-xr-x    2 www   www      512 Dec 29 23:07 data
-rw-r--r--    1 root  wheel    507 Dec 29 23:07 dot.htaccess
-rwxr-xr-x    1 root  wheel   1066 Jan 18 14:25 index.fcgi
-rwxr-xr-x    1 root  wheel   1454 Jan 18 14:25 index.rb
drwxr-xr-x    2 root  wheel    512 Jan 18 14:25 js
drwxr-xr-x    3 root  wheel    512 Jan 18 14:25 lib
drwxr-xr-x    8 root  wheel    512 Jan 18 14:25 misc
-rw-r--r--    1 root  wheel    570 Dec 29 23:07 package.json
-rw-r--r--    1 root  wheel   7958 Dec 29 23:07 tdiary.conf.beginner
-rw-r--r--    1 root  wheel  19841 Dec 29 23:07 tdiary.conf.sample
-rw-r--r--    1 root  wheel  12732 Dec 29 23:07 tdiary.conf.sample-en
drwxr-xr-x  345 root  wheel   7168 Jan 18 14:25 theme
drwxr-xr-x    2 www   www      512 Jan 18 14:25 tmp
-rwxr-xr-x    1 root  wheel   1062 Jan 18 14:25 update.fcgi
-rwxr-xr-x    1 root  wheel   1455 Jan 18 14:25 update.rb
drwxr-xr-x    2 root  wheel    512 Jan 18 14:25 views

Removing @dir from pkg-plist, @owner and @group do not properly work?
Comment 7 TAKATSU Tomonari freebsd_committer 2016-01-22 01:37:48 UTC
(In reply to TAKATSU Tomonari from comment #6)

Hi Yasuhiro KIMURA-san,

Do you have some idea for this ownership incident?

Thanks,
Comment 8 Yasuhiro Kimura freebsd_committer 2016-01-23 01:00:32 UTC
Created attachment 165982 [details]
Updated patch.
Comment 9 Yasuhiro Kimura freebsd_committer 2016-01-23 01:04:00 UTC
(In reply to TAKATSU Tomonari from comment #7)

Try updated patch. Now owner/group of all files are set www/www.
Comment 10 TAKATSU Tomonari freebsd_committer 2016-01-23 13:28:04 UTC
I'm working on https://github.com/tota/freebsd-ports/commits/PR/206309 .
Comment 11 TAKATSU Tomonari freebsd_committer 2016-01-26 03:24:44 UTC
(In reply to Yasuhiro KIMURA from comment #9)

I reproduce this ownership issue.
Please show me your environment and result.
Thanks,
Comment 12 Yasuhiro Kimura freebsd_committer 2016-01-29 11:11:34 UTC
(In reply to TAKATSU Tomonari from comment #11)

yasu@eastasia[2005]% uname -a                                                 ~
FreeBSD eastasia.home.utahime.org 10.2-RELEASE-p11 FreeBSD 10.2-RELEASE-p11 #0 r294905: Wed Jan 27 23:03:24 JST 2016     rootz@eastasia.home.utahime.org:/usr0/freebsd/src/obj/usr0/freebsd/src/releng/10.2/sys/EASTASIA  amd64
yasu@eastasia[2006]% ls -l /usr/local/www/tdiary                              ~
total 110
drwxr-xr-x    2 root  wheel      3  1月 29 20:08 bin/
drwxr-xr-x    2 www   www        3 12月 29 23:07 data/
-rw-r--r--    1 www   www      507 12月 29 23:07 dot.htaccess
drwxr-xr-x    2 www   www        2  1月 17 01:02 images/
-rwxr-xr-x    1 www   www     1066  1月 29 20:08 index.fcgi*
-rwxr-xr-x    1 www   www     1454  1月 29 20:08 index.rb*
drwxr-xr-x    2 root  wheel     16  1月 29 20:08 js/
drwxr-xr-x    3 root  wheel      4  1月 29 20:08 lib/
drwxr-xr-x    8 root  wheel     10  1月 29 20:08 misc/
-rw-r--r--    1 www   www      570 12月 29 23:07 package.json
-rw-r--r--    1 root  wheel   7973  9月  2  2013 tdiary.conf
-rw-r--r--    1 www   www     7958 12月 29 23:07 tdiary.conf.beginner
-rw-r--r--    1 www   www    19841 12月 29 23:07 tdiary.conf.sample
-rw-r--r--    1 www   www    12732 12月 29 23:07 tdiary.conf.sample-en
drwxr-xr-x  345 root  wheel    355  1月 29 20:08 theme/
drwxr-xr-x    2 www   www        2  1月 29 20:08 tmp/
-rwxr-xr-x    1 www   www     1062  1月 29 20:08 update.fcgi*
-rwxr-xr-x    1 www   www     1455  1月 29 20:08 update.rb*
drwxr-xr-x    2 root  wheel     20  1月 29 20:08 views/
yasu@eastasia[2007]%
Comment 13 TAKATSU Tomonari freebsd_committer 2016-01-31 05:41:14 UTC
(In reply to Yasuhiro KIMURA from comment #12)

Do you know that ownership of bin/, js, lib, misc, tdiary.conf, theme/ and views under /usr/local/www/tdiary remain root:wheel?
I expect that ownership of all files and directories under /usr/local/www/tdiary are www:www.
Comment 14 Yasuhiro Kimura freebsd_committer 2016-02-01 13:08:48 UTC
Created attachment 166389 [details]
Updated patch.
Comment 15 Yasuhiro Kimura freebsd_committer 2016-02-01 13:10:08 UTC
(In reply to TAKATSU Tomonari from comment #13)

Then try updated patch. Now both directories and files are www:www.
Comment 16 TAKATSU Tomonari freebsd_committer 2016-02-05 05:35:44 UTC
(In reply to Yasuhiro KIMURA from comment #15)

Thank you for your patch.
I have pushed a branch with little changes as https://github.com/tota/freebsd-ports/commits/PR/206309-166389 .
Comment 17 commit-hook freebsd_committer 2016-03-20 20:40:58 UTC
A commit references this bug:

Author: tota
Date: Sun Mar 20 20:40:39 UTC 2016
New revision: 411518
URL: https://svnweb.freebsd.org/changeset/ports/411518

Log:
  - Update to 4.2.1

  PR:		206309 (based on)
  Submitted by:	Yasuhiro KIMURA <yasu_AT_utahime_DOT_org>

Changes:
  head/www/tdiary/Makefile
  head/www/tdiary/distinfo
  head/www/tdiary/files/patch-lib_tdiary_io_plugin__pstore.rb
  head/www/tdiary/files/patch-lib_tdiary_request.rb
  head/www/tdiary/pkg-plist
Comment 18 TAKATSU Tomonari freebsd_committer 2016-03-20 20:43:42 UTC
Committed.
Thanks!